> ## Documentation Index
> Fetch the complete documentation index at: https://docs.originsai.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaign Stats



## OpenAPI

````yaml https://originshq.b-cdn.net/openapi_sayna.json get /api/campaigns/{campaign_id}/stats
openapi: 3.1.0
info:
  title: core
  version: 0.1.0
servers: []
security: []
paths:
  /api/campaigns/{campaign_id}/stats:
    get:
      tags:
        - campaigns
      summary: Get Campaign Stats
      operationId: get_campaign_stats_api_campaigns__campaign_id__stats_get
      parameters:
        - name: campaign_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Campaign Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CampaignStats'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CampaignStats:
      properties:
        total_contacts:
          type: integer
          title: Total Contacts
        calls_initiated:
          type: integer
          title: Calls Initiated
        calls_completed:
          type: integer
          title: Calls Completed
        calls_failed:
          type: integer
          title: Calls Failed
        calls_in_progress:
          type: integer
          title: Calls In Progress
        calls_queued:
          type: integer
          title: Calls Queued
      type: object
      required:
        - total_contacts
        - calls_initiated
        - calls_completed
        - calls_failed
        - calls_in_progress
        - calls_queued
      title: CampaignStats
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````